# Documentation on how to configure the bundle can be found at: https://symfony.com/doc/current/bundles/LiipImagineBundle/basic-usage.html
liip_imagine:
    # valid drivers options include "gd" or "gmagick" or "imagick"
    driver: "gd"

    webp:
        generate: true

    resolvers:
        default:
            web_path: ~

    filter_sets:
        cache: ~

        coach_logo_filter:
            format: png
            filters:
                scale:
                    dim: [ 500, 50 ]

        coach_diploma_filter:
            format: png
            filters:
                scale:
                    # A4 landscape format
                    dim: [ 1200, 848 ]

        tool_logo_filter:
            format: png
            filters:
                scale:
                    dim: [ 400, 400 ]

        journey_logo_filter:
            format: png
            filters:
                scale:
                    dim: [ 400, 400 ]

    twig:
        mode: lazy